/*
 * Class WEL_TCM_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_182 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_182 [] = {0xFF01,1551,181,0xFFFF};
static const EIF_TYPE_INDEX egt_2_182 [] = {0xFF01,181,0xFFFF};
static const EIF_TYPE_INDEX egt_3_182 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_182 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_182 [] = {0xFF01,181,0xFFFF};
static const EIF_TYPE_INDEX egt_6_182 [] = {0xFF01,181,0xFFFF};
static const EIF_TYPE_INDEX egt_7_182 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_182 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_182 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_182 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_182 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_182 [] = {0xFF01,181,0xFFFF};


static const struct desc_info desc_182[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_182), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_182), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_182), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_182), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_182), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_182), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_182), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_182), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_182), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_182), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_182), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_182), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x016B /*181*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_182), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4528, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4507, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4508, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4509, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4510, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4511, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4512, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4513, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4514, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4515, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4516, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4517, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4518, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4519, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4520, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4521, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4522, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4523, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4524, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4525, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4526, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4527, 0xFFFFFFFF},
};
void Init182(void)
{
	IDSC(desc_182, 0, 181);
	IDSC(desc_182 + 1, 1, 181);
	IDSC(desc_182 + 32, 1471, 181);
}


#ifdef __cplusplus
}
#endif
